package review.business;

import java.io.Serializable;
import java.util.Date;
import java.util.Calendar;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.C358063E-2377-3525-5F23-77C4F49ACD40]
// </editor-fold> 
public class Employee implements Serializable{

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E085E6F5-9B81-BD5A-A5B8-B43A07F3553A]
    // </editor-fold> 
    private float salary;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2825551D-C66C-BA27-165B-A0DEA2796AF5]
    // </editor-fold> 
    private String name;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C337583F-AB9B-4CF3-7ED5-DFA8B6548DD3]
    // </editor-fold> 
    private Date hireDay;

    public static final float MINIMUM_SALARAY = 1000;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.84CC4328-1596-C64C-DBCB-5BAB25522248]
    // </editor-fold> 
    public Employee ()  {
        this.name = " ";
        this.salary = Employee.MINIMUM_SALARAY;
        this.hireDay = Calendar.getInstance().getTime();
    }

    public Employee (String name, float sal, Date hire) {
        this.name = name;
        this.salary = sal;
        this.hireDay = hire;
    }
    

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B2387475-AE29-7CBB-D14C-247249BD532E]
    // </editor-fold> 
    public Date getHireDay () {
        return hireDay;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D4615600-2C3F-3861-CD15-72C6356DE5C0]
    // </editor-fold> 
    public void setHireDay (Date val) {
        this.hireDay = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.56F8F602-FB6C-E2BC-1FC0-2DD5A04F7F51]
    // </editor-fold> 
    public String getName () {
        return name;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.BC29C31F-CA7A-A110-5D11-00167385FCCE]
    // </editor-fold> 
    public void setName (String val) {
        this.name = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DC45A400-5E39-A547-A429-A375DFF293E0]
    // </editor-fold> 
    public float getSalary () {
        return salary;
    }

    public void setSalary (float val) {
        this.salary = val;
    }
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9D477E21-DA69-C00F-A465-4A1571310A5C]
    // </editor-fold> 
    public void raiseSalary (float percent) {
        this.salary += this.salary * percent;
    }

}

