/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

/**
 *
 * @author kirsch
 */
public class BusinessMain2 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        DepartmentModel model = new SerializedDepartmentModel("BusinessModel2.dat");
        DepartmentControler control = new ConcreteDepartmentControler(model);
        AbstractDepartmentView view1 = new FormEmployee(control);
        AbstractDepartmentView view2 = new ListEmployees(control);

        view1.setTitle("New Employee v2");
        view2.setTitle("Employees v2");

        control.addDepartmentView(view1);
        control.addDepartmentView(view2);

        model.load();

        control.diplayAll();
    }
}
