/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

import java.util.Enumeration;
import javax.swing.DefaultListModel;
import javax.swing.JList;

/**
 *
 * @author kirsch
 */
public class ListEmployees extends AbstractDepartmentView {

    private JList employeeList;
    private DefaultListModel<String> data;

    public ListEmployees(DepartmentControler control) {
        super(control);
        initComponents();
    }

    private void initComponents() {
        this.data = new DefaultListModel<String>();
        this.employeeList = new JList(data);
        this.loadNames();
        this.add(this.employeeList);
        this.pack();
    }

    //mise a jour de noms de maniere tres idiote
    private void loadNames() {
        java.util.List<String> employeeUpdated = 
                this.getDepartmentControler().getEmployeeNames();
        
        //nettoie la liste et on remplace ses éléments
        this.data.clear();
        for (String aName : employeeUpdated) {
            this.data.addElement(aName);            
        }
        
    }

   
    public void departmentChanged(DepartmentChangedEvent evt) {
        this.loadNames();
        pack();
        repaint();
    }
}
