/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.heritage;

/**
 * Interface représentant le comportement d'une porte
 * Illustration de la notion d'Interface
 * @author kirsch
 */
public interface Door {
    public static final int OPEN = 0;
    public static final int CLOSED = 1;

    public int getState();
    public void setState(int state);
    public void open();
    public void close();
}
