/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.heritage;

/**
 * Exemple de redéfinition, surcharge et polymorphisme 
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class HeritageMain {

    public static void main(String[] args) {
        float c1, c2, c3, c4;
        AddClass add = new AddClass();
        MultiplyClass multi = new MultiplyClass();
        AddClass o;

        add.setA(2);
        add.setB(3);
        multi.setA(2);
        multi.setB(3);

        System.out.println("add (" + add.getA() + "," + add.getB() + ") ");
        System.out.println("multi (" + multi.getA() + "," + multi.getB() + ")");

        c1 = add.calcul();
        c2 = multi.calcul();
        c3 = multi.calcul(2);

        System.out.println("AddClass.calcul : " + c1);
        System.out.println("MultiClass.calcul : " + c2);
        System.out.println("MultiClass.calcul(2) : " + c3);


        o = (AddClass) multi;
        c4 = o.calcul();
        //o.calcul(2);   //pas possible : o est declaré AddClass
        
        System.out.println("o.calcul : " + c4);
        System.out.println(o.getClass().getName());
        
        o = (AddClass) add;
        c4 = o.calcul();
        //o.calcul(2);   //pas possible : o est declaré AddClass
        
        System.out.println("o.calcul : " + c4);
        System.out.println(o.getClass().getName());
        
        System.out.println("o.getA : "+o.getA());
    }
}
