package review.heritage;

/**
 * exemple de classe implémentant l'interface Door
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class MetalDoor implements Door {
    private int state;

     public MetalDoor() {
         this.state = Door.CLOSED;
     }

    @Override
     public void open() {
        //do something
        System.out.println("MetalDoor OPEN");
         this.state = Door.OPEN;
     }

    @Override
     public void close() {
        //do something
        System.out.println("MetalDoor CLOSED");
        this.state = Door.CLOSED;
     }

    @Override
    public int getState() {
        return this.state;
    }

    @Override
    public void setState(int state) {
        this.state = state;
    }
}