/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.heritage;

/**
 * exemple de classe implémentant plusieurs interfaces
 * @author kirsch
 */
public class MyDoor implements Door, Window {

    private int state = Door.CLOSED;
    
    public int getState() {
        return this.state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public void open() {
        System.out.println("MyDoor OPEN");
        this.state = Door.OPEN;
    }

    public void close() {
        System.out.println("MyDoor CLOSED");
        this.state = Door.CLOSED;
    }

    public void open(int perc) {
        System.out.println("MyDoor HALF OPENED");
        this.state = Window.HALF;
    }
}
