/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

/*
 * ExternalListener.java
 *
 * Created on 9 janv. 2009, 03:11:07
 */

package review.ihm.listeners;

/**
 *
 * @author kirsch
 */
public class ExternalListener extends java.awt.Frame {

    /** Creates new form ExternalListener */
    public ExternalListener() {
        myInitComponents();
    }

    private review.ihm.listeners.MyExternalListener listener;

    private void myInitComponents() {

        button1 = new java.awt.Button();
        label1 = new java.awt.Label();

       // listener = new MyExternalListener(this);
       // addWindowListener(listener);

        button1.setLabel("Click me!");
      //  button1.addActionListener(listener);
        add(button1, java.awt.BorderLayout.CENTER);

        label1.setText("my label");
        add(label1, java.awt.BorderLayout.SOUTH);

        pack();
    }

    public void setLabel (String text) {
        label1.setText(text);
    }
    
    public void setListener(MyExternalListener listener) {
        button1.addActionListener(listener);
        this.addWindowListener(listener);
    }


    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                ExternalListener m = new ExternalListener();
                m.setListener(new MyExternalListener(m) );
                m.setVisible(true);
            }
        });
    }


    // Variables declaration
    private java.awt.Button button1;
    private java.awt.Label label1;
    // End of variables declaration

}
