/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

package review.ihm.volumeapplication;

/**
 * Example d'usage du modele MVC
 * Cette classe definit un listenener pour le modele de donnees.
 * A chaque modification sur le modele, un evennement du type VolumeChangedEvent
 * sera envoye a tous les listeners du modele.
 *
 * Example base sur Baptiste Wicht, <b>"Implémentation du pattern MVC"</b>,
 * 24 Avril 2007 (derniere visite le 29 Janvier 2009).
 * @see http://baptiste-wicht.developpez.com/tutoriel/conception/mvc/
 * @author kirsch
 */
public interface VolumeModelListener extends java.util.EventListener {
    public void volumeChanged(VolumeChangedEvent event);
}
