/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.serialization;

import java.io.Serializable;

/**
 * Exemple de sérialisation en Java. Un post-it est un simple message texte 
 * qui va pouvoir être sérialisé ou désérialisé. 
 * @author kirsch
 */
public class PostIt implements Serializable {
    String message;

    public PostIt(String message) {
        this.message = message;
    }

    public PostIt() {
        this.message = " ";
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString () {
        return this.getMessage();
    }
       
}
