package review.calculateur.antiexemple;


import java.util.Scanner;

/**
 * Anti-exemple de evolutivite / extensibilite
 * La classe calculateur est difficilement extensible. On ne peut pas ajouter
 * des nouvelles operations facilement. 
 * @author kirsch
 */
public class Calculateur {

    int a, b; //operands
    char op;  //operateur

    public Calculateur () {
        this.a = 0;
        this.b = 0;
        this.op = ' ';
    }
    
    public void init() {
        Scanner in = new Scanner(System.in);
        System.out.println("a ? ");
        this.a = in.nextInt();
        System.out.println("b ?");
        this.b = in.nextInt();
        System.out.println("opérateur ? ");
        this.op = in.next().charAt(0);
    }

    public int calc() {
        int r = 0;

        switch (this.op) {
            case '+':
                r = a + b;
                break;
            case '-':
                r = a - b;
                break;
            default:
                System.out.println("Opérateur inconnu");
        }
        return r;
    }
    
    public static void main (String args[]) {
        Calculateur c = new Calculateur();
        c.init();
        System.out.println("Calcul ? " + c.calc());
    }
}
