/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices;

/**
 * Multiplication de deux matrices bidimensionnelles nXm et mXk
 * @author kirsch
 */
public class MMatrix2 extends MMatrix1 {
   
    public static float[][] multi(float[][] M1, float[][] M2){
        int m1rows=M1.length;
        int m2cols=M2[0].length;
        float mC[][] = new float[m1rows][m2cols];

    // multiply
        for (int i=0; i<m1rows; i++)
            for (int j=0; j<m2cols; j++)
                for (int k=0; k<M1[i].length/*m1cols*/; k++)
                    mC[i][j] += M1[i][k]*M2[k][j];
                
        return mC;
    }

    public static void main(String[] argv){
        float[][] m1 = new float[][] {{1,2,3},{3,4,5}};
        float[][] m2 = new float[][] {{5,6},{7,8},{9,10}};

        float[][] mr = MMatrix2.multi(m1,m2);
        MMatrix2.showMatrix(mr);
    }

}
