package review.exercices;

/**
 * Exception soulevée lorsqu'on essaie de calculer le factoriel d'un numéro négatif. 
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class NegativeFactorialException extends ArithmeticException {

    public NegativeFactorialException(String msg) {
        super(msg);
    }
    
    public NegativeFactorialException() {
        super();
    }
    
    public NegativeFactorialException(int i) {
        super("Factorial of "+i+" impossible");
    }
}
