package review.exercices;

import java.util.Calendar;
import java.util.Date;
import java.util.Scanner;

public class TextUI {

    protected Scanner openScan() {
        return new Scanner(System.in);
    }

    public Integer readInt(String msg) {
        System.out.print(msg);
        return this.openScan().nextInt();
    }

    public String readString(String msg) {
        System.out.print(msg);
        return this.openScan().nextLine();
    }

    public Float readFloat(String msg) {
        System.out.print(msg);
        return this.openScan().nextFloat();
    }
    
    public Date readDate(String msgY, String msgM, String msgD) {
        int day, month, year;
        
        Scanner in = this.openScan();
        System.out.print(msgY);
        year = in.nextInt();
        System.out.print(msgM);
        month = in.nextInt();
        System.out.print(msgD);
        day = in.nextInt();

        Calendar cal = Calendar.getInstance();
        cal.set(year, (month-1), day);

        return cal.getTime();
    }

    public void showMessage(String msg) {
        System.out.println(msg);
    }
}