/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices.business;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;

/**
 *
 * @author kirsch
 */
public abstract class AbstractDepartmentView extends JFrame implements DepartmentListener, DepartmentView {

    private DepartmentControler control;

    public AbstractDepartmentView(DepartmentControler control) {
        this.control = control;
        this.initWindowListener();
    }

    public void setDepartmentControler (DepartmentControler control) {
        this.control = control;
        this.initWindowListener();
    }

    private void initWindowListener() {
        this.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                control.closeAll();
            }
        });
    }

    public DepartmentControler getDepartmentControler() {
        return control;
    }

    //public void departmentChanged(DepartmentChangedEvent evt);
}
