/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices.business;

/**
 * Exemple de MVC sur Base de données. 
 * @author kirsch
 */
public class BusinessMain3 {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        DepartmentModel model = new DataBaseDepartmentModel();
        DepartmentControler control = new ConcreteDepartmentControler(model);
        AbstractDepartmentView view1 = new FormEmployee(control);
        AbstractDepartmentView view2 = new ListEmployees(control);
        
        view1.setTitle("New Employee v3");
        view2.setTitle("Employees v3");

        control.addDepartmentView(view1);
        control.addDepartmentView(view2);

       //on peut ajouter un deuxieme controleur si on veut, avec d'autres vues 
//        DepartmentControler control2 = new ConcreteDepartmentControler(model);
//        AbstractDepartmentView view3 = new ListEmployees(control2);
//        control2.addDepartmentView(view3);
        
        model.load();

        control.diplayAll();
        //control2.diplayAll();
    }

}
