/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

/**
 * Exemple plus complexe de MVC avec un modèle qui gère différents types d'événements,
 * avec un controleur qui écoute à ces événements. 
 * @bug il me semble qu'il avait un bug quelque part, mais je ne me souviens plus où... ;-)
 * @author Manuele Kirsch Pinheiro <kirschpm@gmail.com>
 */
public class BusinessMain4 {
    FullDataBaseDepartmentModel model;
    
    public void run () {
        FullDataBaseDepartmentModel model = new FullDataBaseDepartmentModel();
        
        // --------------------------
        ListenerDepartmentControler fullcontrol = new ListenerDepartmentControler(model);
        AbstractNoListenerDepartmentView view1 = new NoListenerFormEmployee(fullcontrol);
        AbstractNoListenerDepartmentView view2 = new NoListenerListEmployees(fullcontrol);
 
        view1.setTitle("Employees v4");
        view2.setTitle("Employees v4");
        fullcontrol.addDepartmentView(view1);
        fullcontrol.addDepartmentView(view2);
        
        // ---------------------------------
        // maintenant on essaie de melanger les contrôleurs avec et sans gestion d'événements
//        DepartmentControler control = new ConcreteDepartmentControler(model);
//        AbstractDepartmentView viewList = new ListEmployees(control);
//
//        viewList.setTitle("Employees v3");
//        control.addDepartmentView(viewList);
//        
//        DepartmentView view4 = new FormEmployee (control);
//        control.addDepartmentView(view4);
//        
//        ListEmployees view5 = new ListEmployees(control);
//        view5.setTitle("Employees v3 bis");
//        control.addDepartmentView(view5);
        
        
        model.load();
        
        view1.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
        view2.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
       // viewList.setDefaultCloseOperation(view1.EXIT_ON_CLOSE);
        
        fullcontrol.diplayAll();
        //control.diplayAll();
    }
    
    
    public static void main (String args[]) {
        BusinessMain4 m = new BusinessMain4();
        m.run();
    }
    
}
