package review.exercices.mvc;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

// #[regen=yes,id=DCE.78708EAF-50C4-7A16-3F68-9D05643B444C]
// </editor-fold> 
public class VolumeView2 extends AbstractVolumeView implements ActionListener {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A0DE8EDB-519E-B204-F298-74C75B4779E4]
    // </editor-fold> 
    private Button plusOne;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.85743C63-DA6A-2768-7D40-BA857CDA26FD]
    // </editor-fold> 
    private Button minusOne;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C929384C-B6C7-84CD-4FED-0E3559B302B0]
    // </editor-fold> 
    private TextField volumeText;


    public VolumeView2 (VolumeControler control) {
        super(control);
        initComponents();
    }

    private void initComponents() {
        this.minusOne = new Button();
        this.minusOne.setLabel("-1");

        this.plusOne = new Button();
        this.plusOne.setLabel("+1");

        this.volumeText = new TextField();
        this.volumeText.setColumns(10);
        this.volumeText.setEditable(false);

        this.add(this.volumeText,BorderLayout.CENTER);
        this.add(this.minusOne, BorderLayout.WEST);
        this.add(this.plusOne, BorderLayout.EAST);

        pack();

        this.minusOne.addActionListener(this);
        this.plusOne.addActionListener(this);
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D30F7C51-6AD5-728A-E92A-5B9E6C9AAB7C]
    // </editor-fold> 
    public String getMinusOneCommand () {
        return this.minusOne.getActionCommand();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.922B6436-4F31-4CC3-8B6A-B3FA94F9084F]
    // </editor-fold> 
    public void setMinusOneCommad (String val) {
        this.minusOne.setActionCommand(val);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E5C27F06-FA94-6FFE-0E99-E7BEBACD1CD4]
    // </editor-fold> 
    public String getPlusOneCommand () {
        return plusOne.getActionCommand();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0866AC92-F802-EDEC-3BF7-3BE3B4E53656]
    // </editor-fold> 
    public void setPlusOneCommad (String val) {
        this.plusOne.setActionCommand(val);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8CB36603-E3C8-DC3C-5AEA-0A2490682F9D]
    // </editor-fold> 
    public String getVolumeText () {
        return volumeText.getText();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9D2E72DE-F524-964A-D8BF-62244BA4DE34]
    // </editor-fold> 
    public void setVolumeText (String val) {
        this.volumeText.setText(val);
    }

    public void volumeChanged(VolumeEvent evt) {
        this.volumeText.setText(Integer.toString(evt.getNewVolume()));
    }

    public void actionPerformed(ActionEvent e) {
        int newVal = Integer.parseInt(this.volumeText.getText());

        if(e.getActionCommand().equals(this.getMinusOneCommand())) {
            //on a clique sur le -1
            newVal--;
            this.getVolumeControl().notifyVolumeChange(newVal);
        }
        else {
            //on a clique sur le +1
            newVal++;
            this.getVolumeControl().notifyVolumeChange(newVal);
        }
    }

}

